%define debug_package %{nil}
Name:           xcb-proto
Version:        1.16.0
Release:        2
Summary:        XCB protocol descriptions
License:        MIT
URL:            https://xcb.freedesktop.org
Source0:        https://www.x.org/releases/individual/proto/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:	python3-devel make automake
Requires:       pkgconfig

%description
The X protocol C-language Binding (XCB) is a replacement for
Xlib featuring a small footprint, latency hiding, direct access
to the protocol, improved threading support, and extensibility.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc NEWS README.md TODO doc/xml-xcb.txt
%{_datadir}/pkgconfig/xcb-proto.pc
%dir %{_datadir}/xcb/
%{_datadir}/xcb/*.xsd
%{_datadir}/xcb/*.xml
%{python3_sitelib}/xcbgen

%changelog
* Fri Mar 1 2024 liyanan <liyanan61@h-partners.com> - 1.16.0-2
- Add automake and make buildrequires

* Sun Aug 20 2023 Funda Wang <fundawang@yeah.net> - 1.16.0-1
- update to 1.16.0

* Sat Jul 15 2023 yaozile <yaozile@xfusion.com> - 1.15.2-3
- Add-documentation-for-XFixes-v6.patch

* Fri Jul 7 2023 yaozile <yaozile@xfusion.com> - 1.15.2-2
- Add-documentation-for-XFixes-v6.patch

* Mon May 29 2023 wulei <wu_lei@hoperun.com> - 1.15.2-1
- Upgrade package to version 1.15.2

* Fri Jan 6 2023 yangbo <yangbo1@xfusion.com> - 1.15-3
- Modify spec URL

* Fri Jan 6 2023 yangbo <yangbo1@xfusion.com> - 1.15-2
- Document the MIT-SHM extension

* Thu Oct 27 2022 wangkerong <wangkerong@h-partners.com> - 1.15-1
- upgrade to 1.15

* Sat Jan 08 2022 dongyuzhen <dongyuzhen@huawei.com> - 1.14-2
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:fixes for python 3.9

* Mon Jul 27 2020 chxssg<chxssg@qq.com> - 1.14-1
- update package to 1.14

* Thu Nov 28 2019 yangjian<yangjian79@huawei.com> - 1.13-6
- Package init
